Name: maui
Version: 3.2.6p8
Release: 1
Source0: maui-3.2.6p8.tar.gz
Source1: maui-3.2.5-init.d.sh
Source2: maui-3.2.5.cfg
Summary: The Maui supercluster scheduler
Copyright: Moab Scheduling System - End User Open Source License
Group: System/Daemons
Packager: David Groep <davidg@nikhef.nl>
BuildRoot: /tmp/maui-%{version}-root
%description
Maui is an advanced job scheduler for use on clusters and supercomputers. It 
is a highly optimized and configurable tool capable of supporting a large 
array of scheduling policies, dynamic priorities, extensive reservations, 
and fairshare.
Maui is a community project* and may be downloaded, modified, and distributed.

%prep
%setup -n maui-3.2.6

%build

PATH=/bin:/usr/bin
export PATH

CC=gcc
export CC 
./configure --with-pbs=/usr --prefix=/usr \
	--bindir=/usr/bin --sbindir=/usr/sbin \
	--sysconfdir=/var/spool/maui \
	--with-spooldir=/var/spool/maui

make || /bin/true

%install
mkdir -p ${RPM_BUILD_ROOT}/usr
mkdir -p ${RPM_BUILD_ROOT}/var/spool/maui/
mkdir -p ${RPM_BUILD_ROOT}/etc/init.d/

make INST_DIR=${RPM_BUILD_ROOT}/usr MSCHED_HOME=${RPM_BUILD_ROOT}/var/spool/maui 
make INST_DIR=${RPM_BUILD_ROOT}/usr MSCHED_HOME=${RPM_BUILD_ROOT}/var/spool/maui  install

cp ${RPM_SOURCE_DIR}/maui-3.2.5-init.d.sh ${RPM_BUILD_ROOT}/etc/init.d/maui
chmod 0755 ${RPM_BUILD_ROOT}/etc/init.d/maui
cp ${RPM_SOURCE_DIR}/maui-3.2.5.cfg ${RPM_BUILD_ROOT}/var/spool/maui/maui.cfg
chmod 0644 ${RPM_BUILD_ROOT}/var/spool/maui/maui.cfg

mkdir -p ${RPM_BUILD_ROOT}/usr/doc/maui-%{version}
cp -p LICENSE README docs/mauidocs.html ${RPM_BUILD_ROOT}/usr/doc/maui-%{version}/

%clean

%files
%defattr(-,root,root)
/usr
/etc/init.d/maui
%config(noreplace) /var/spool/maui/maui.cfg
%dir /var/spool/maui/log
%dir /var/spool/maui/spool
%dir /var/spool/maui/stats
%dir /var/spool/maui/tools
%dir /var/spool/maui/traces


